#!/usr/bin/env bash

# SPDX-FileCopyrightText: 2023 Sarah Vaupel <sarah.vaupel@uniworx.de>
#
# SPDX-License-Identifier: AGPL-3.0-or-later

set -e

case "$(git rev-parse --abbrev-ref HEAD)" in
  "master" | "main")
    standard-version -a
    ;;
  "test")
    standard-version -a -t t
    ;;
  *)
    echo "Current branch not supported for release!"
    exit 1
    ;;
esac
